specialTabPrompt = UITutorialPrompt:create(UITutorialTag_SpecialTabButton, 0)

coachPanel = CoachPanel:create("TutorialUpgradeSpecials1", false)
coachPanel:show(0)
specialTabPrompt:addChild(coachPanel, 1)

specialTabPrompt:setLightRayScale(0.75)
coroutine.yield(specialTabPrompt)

if not BAMFGame:sharedGame():getPlayerProfile():getInventory():hasAmount("Typhoon5", 1) then
    ShopTransaction:setFreePurchase(true)

    skillItemBuyPrompt = UITutorialPrompt:create(UITutorialTag_SpecialBuyButton, 0)

    coachPanel = CoachPanel:create("TutorialUpgradeSpecials2Premium", false)
    coachPanel:show(0)
    skillItemBuyPrompt:addChild(coachPanel, ZOrder_Behind)

    coroutine.yield(skillItemBuyPrompt)

    ShopTransaction:setFreePurchase(false)
else
    backButtonPrompt = UITutorialPrompt:create(UITutorialTag_BackButton, 0)

    coachPanel = CoachPanel:create("TutorialUpgradeSpecials4", false)
    coachPanel:show(0)
    backButtonPrompt:addChild(coachPanel, ZOrder_Behind)

    coroutine.yield(backButtonPrompt)
end